Package org.eclipse.mat.query

## Class ContextDerivedData.DerivedOperation

- java.lang.Object
- - org.eclipse.mat.query.ContextDerivedData.DerivedOperation

Enclosing class:
  ContextDerivedData

    public static final class ContextDerivedData.DerivedOperation
    extends java.lang.Object

A way of calculating the column values.

### Constructor Summary

Constructors
`DerivedOperation​(java.lang.String code, java.lang.String label)` Create a way of calculating the column.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCode()` Get the code.
`java.lang.String` `getLabel()` Get the explanation of the operation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedOperation

    public DerivedOperation​(java.lang.String code,
                            java.lang.String label)

Create a way of calculating the column. The code is used for XML queries to specify the operation.

Parameters:
  `code` - a text note of what the operation does (not translated)
  `label` - an explanation of the operation

### Method Detail

#### getCode

    public java.lang.String getCode()

Get the code.

Returns:
  a short name used in XML report definitions etc.

#### getLabel

    public java.lang.String getLabel()

Get the explanation of the operation.

Returns:
  a readable explanation